My Oracle Support Banner

WebLogic Server Compiles JSP Using JDK 1.5 Even When JVM is Running with JDK 1.6 (Doc ID 1501536.1)

Last updated on JULY 06, 2020

Applies to:

Oracle WebLogic Server - Version 10.3.1 to 10.3.6
Information in this document applies to any platform.

Symptoms

The file command on the JSP classes generated from WLS shows that they are compiled using the 1.5 spec rather than 1.6 (JVM's base Java version).

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.